<bugID>1327534<Summary>Browser overrides scroll position during scrolling the page (if user has already updated scroll position)</Summary><Description>&gt;&gt;&gt;   My Info:   Win7_64, Nightly 49, 32bit, ID 20160526082509
STR_1:  (for people like Jet Villegas (see bug 1253190 comment 3) who only count number of steps)
1. Open http://www.vesti.ru/
2. Scroll the page down twice
3. Close tab
4. Restore the tab
5. Start scrolling the page

AR:  Browser teleports the page to another place during scrolling
ER:  Browser shouldn't teleport page to random places if page didn't ask it to,
     and if user is currently performing scrolling


STR_1_detailed:  (for people who want to reproduce)
1. Open http://www.vesti.ru/ . Wait 10 seconds until the page noticeably loads
2. Scroll the page down twice (Press PageDown twice)
3. Close tab (Ctrl+W)
4. Restore the tab (Ctrl+Shift+T)
5. Quickly (until browser restores scroll position - ~5s) middle-click on the free place on the page,
   then move mouse a bit to the bottom to start _slowly_ autoscrolling the page
6. Wait 10 seconds

AR:  The page teleports to a random place (browser restores scroll position) during scrolling
ER:  Browser shouldn't interfere with user actions. If user is currently scrolling the page,
     browser shouldn't change scroll position



STR_2:
1. Open http://www.vesti.ru/ . Wait 10 seconds until the page noticeably loads
2. Scroll the page down twice (move mouse to the center of content area,rotate mouse wheel down twice)
3. Close tab (Ctrl+W)
4. Restore the tab (Ctrl+Shift+T)
5. Quickly (until browser restores scroll position - ~5s) rotate mouse wheel down once
6. Wait 10 seconds

AR:
 Step 5 - scroll position updates on user demand: the page scrolls down
 Step 6 - random scroll position is set by browser (not by the page)
ER:
 Step 6 - I already set NEW SCROLL POSITION and already reading some text there.
          The browser shouldn't even try to update scroll position if it was updated by user.

Note:
 Also, just like in scenario 1, browser might teleport the page during smooth transition that
 happens when user rotates mouse wheel. Therefore "teleportation" interferes with scrolling.</Description></bugID>